clear all
clc

%Inndata
antall_bygg = 5;
areal = [6000 5000 4000 5000 6000];
bygningskategori = [1 2 3 5 6];
antall = [3 4 2 1 1];
dim_effekt = 0;
last = [55.6 46.0 61.3 81.3 64.0 42.6];
sum_effektkurve = zeros(1,24);
effektbehov = zeros(5,24);

for i = 1:antall_bygg;
    design_day_wd = dim_effektbehov(bygningskategori(i));
    faktor = last(bygningskategori(i))/max(design_day_wd);
    effektbehov(i,:) = design_day_wd * (faktor * areal(i));
    dim_effekt = dim_effekt + max(effektbehov(i,:));
    %effektkurve = effektkurve + effektbehov;
    sum_effektkurve = sum_effektkurve + (effektbehov(i,:) * antall(i)); 
end

disp(['Dimensjonerende effektbehov for utbyggingsomrdet:',num2str(max(sum_effektkurve*1.02)/1000),' [kW]'])

%%%%%%%%%%%%%%%%%%%Plot relativ dgnprofil%%%%%%%%%%%%%%%%
%hold on
%plot(design_day_we,'-x')
%plot(design_day_wd,'-*r')
%axis([1 24 0.6 1.6])
%xlabel('Time p dagen')
%ylabel('Realtiv varmelast P.U.')
%title('Generell lastprofil for WE og WD ved DUT')
%legend('WE','WD')
%grid on


%%%%%%%%%%%%%%%%%%Plot dgnprofil%%%%%%%%%%%%%%%%%%%%%%%%%
hold on
plot(sum_effektkurve/1000, 'LineWidth', 1.5)
plot(sum_effektkurve * 1.02/1000,'-r','LineWidth', 1.5)
legend('Forventet varmelast','Inkludert 2 % effekttap')
axis([0 24 0 3500])
xlabel('Time p dagen')
ylabel('Maksimal varmelast [kWh/h]')
title('Maksimalt estimert varmelastprofil for dimensjonerende dgn i utbyggingsomrdet')
grid on
hold off