function [lastkurve, tappevann] = beregning_lastkurve(antall_bygg); 

lastkurve = zeros(1,8760);
if antall_bygg == 1;
    [bygningskategori, tappevann] = velg_bygningskategori();
    areal = input_areal();
    disp('Brukes de varmeproduserende enheter til produksjon av tappevann utenfor fyringssesongen?')
    disp('1) Ja')
    disp('2) Nei')
    tappevann = input('Skriv inn ditt valg (tallverdi):');
    lastkurve = effektbehov(areal, bygningskategori, tappevann);
    clc
else
    for i = 1:antall_bygg;
        [bygningskategori] = velg_bygningskategori_flere_bygg(i);
        areal = input_areal();        
        fprintf(1, '\n')
        disp('Brukes de varmeproduserende enheter til produksjon av tappevann utenfor fyringssesongen?')
        disp('1) Ja')
        disp('2) Nei')
        tappevann = input('Skriv inn ditt valg (tallverdi):');
        last = effektbehov(areal, bygningskategori, tappevann);
        lastkurve = lastkurve + last;
        clc
    end
end

max_effektbehov = max(lastkurve);
aarlig_energibehov = sum(lastkurve);
ekv_driftstid_bygg = aarlig_energibehov/max_effektbehov;

%%%% Plotting av lastkurven %%%%
figure(1)
hold on
plot(lastkurve)
plot(sort(lastkurve,'descend'), 'r', 'LineWidth', 2)
xlabel('Time [h]')
ylabel('Varmelast [kWh/h]')
title('Forventet lastprofil og varighetskurve')
axis([1 8760 0 max(lastkurve)])
grid on
legend('Forventet varmebehov','Forventet varighetskurve');
pause
hold off
close(figure(1))

fprintf(1, 'Beregnet maksimalt effektbehov for bygning: %6.2f [kW]', max_effektbehov)
fprintf(1, '\n\nBeregnet rlig energibehov for bygning: %6.0f [kWh/r]', aarlig_energibehov)
fprintf(1, '\n\nEkvivalent driftstid for maksimal effekt: %6.0f [h/r]', ekv_driftstid_bygg)
fprintf(1, '\n\n')
    
disp('Trykk ENTER for  fortsette')
pause
