function [ident] = biokjele_mod(ident, kjelnr, energipris)
clc

disp('----  Modulerende biokjele  ----')
fprintf(1, '\n')

Pinst = input('Skriv inn nominell ytelse for kjelen [kW]\n');
Pmin = input('Skriv inn minste modulerbare ytelse for kjelen [%]\n');
Trg_Qmin = input('Skriv inn rykgasstemperatur ved laveste ytelse [grader C]\n');
Trg_Qmid = input('Skriv inn rykgasstemperatur ved halv ytelse [grader C]\n');
Trg_Qmax = input('Skriv inn rykgasstemperatur ved hyeste ytelse [grader C]\n');
CO2_Qmin = input('CO2 i rykgass ved laveste ytelse [vol% trr rykgass]\n');
CO2_Qmid = input('CO2 i rykgass ved halv ytelse [vol% trr rykgass]\n');
CO2_Qmax = input('CO2 i rykgass ved hyeste ytelse [vol% trr rykgass]\n');
a_str = input('Strlingstap ved nominell ytelse [%]\n');
u = input('Gjennomsnittlig fuktighetsinnhold ved mlinger [wt% trr basis]\n');
Imax = input('Skriv maksimal intermittensgrad for kjelen [-]\n');

Pmin = 30;
Trg_Qmin = 130;
Trg_Qmid = 145;
Trg_Qmax = 160;
CO2_Qmin = 14.7;
CO2_Qmid = 14.7;
CO2_Qmax = 14.7;
a_str = 2;
u = 8.7;
Imax = 31;


output = 0:1:(100 - Pmin);
output_str = Pmin:1:100;
Pmax = 100;
Pmid = (Pmin + Pmax)/2;

NCV = 18664; %Effektiv brennverdi for absolutt trt brensel
CO = 0; %CO inhold rykgass = 0
Ta = 17 ; %Omgivelsestemperatur
a_str = a_str/100; %strlingstap ved nominell effekt

%Ligninger for linjene
Trg = [Trg_Qmin Trg_Qmid Trg_Qmax];
CO2 = [CO2_Qmin CO2_Qmid CO2_Qmax];
ytelse = [Pmin Pmid Pmax];
p_CO2 = polyfit(ytelse,CO2,2);
p_Trg = polyfit(ytelse,Trg,2);

%Forbrenningsteknisk
for i = 1:length(output)
    Trg(i) = polyval(p_Trg,output_str(i));
    CO2(i) = polyval(p_CO2,output_str(i));
    Lth(i) =((Trg(i) - Ta)*(1.39 + 122/(CO + CO2(i)) + 0.02 * u))/((NCV/100) - 0.2442 * u);
    Lstr(i) = ((a_str * 100) / output_str(i)) * 100;
end

virk = 100 - Lstr - Lth;
siste_element = length(virk);

%%%%  Kurvetilpasning modulerende %%%%
ytelse = output_str/100 * Pinst;
energipris_bio = energipris(3);
kostnad = (ytelse./(virk/100)) * energipris_bio;
p = polyfit(ytelse,kostnad,3);

%INTERMITTENT DEL
Pinst_int = ytelse(1)/(virk(1)/100);
Pmax_int = ytelse(1);
Pout = 0.1:0.1:Pmax_int;

for i = 1:length(Pout)
    N(i) = Pmax_int/Pout(i);
    I(i) = (N(i)-1)/((N(i)/Imax)+1);
    virk_int(i) = Pout(i)/Pinst_int*(I(i)+1);
end

%Beregning av koeffisientenei kostnadskurven for kjelen
a  = (1/(Imax+1))*Pmax_int;
y1 = Pout(50)/virk_int(50);
y2 = Pout(150)/virk_int(150);
b = (y2 - y1)/(Pout(150)-Pout(50));

%%%% Lagring i identifikatormatrise %%%%
ident(kjelnr,3) = Pinst;
ident(kjelnr,4) = virk(siste_element)/100; %Maks ytelse og maks virkningsgrad trenger ikke sammenfalle for en modulerende kjel
ident(kjelnr,7:10) = p;
ident(kjelnr,5) = a;
ident(kjelnr,6) = b;
ident(kjelnr,11) = ytelse(1);


figure(1)
hold on
plot(ytelse,virk)
plot(Pout,virk_int*100)
xlabel('Kjelytelse [kWh/h]')
ylabel('Virkningsgrad [%]')
title('Modulerende biokjel')
axis([0 Pmax 0 100])
grid on
hold off
pause
close(figure(1))