function [ident] = elkjele(ident,kjelnr)
clc

disp(['----  Data for varmeproduserende enhet nr: ' num2str(kjelnr) '  ----'])
fprintf(1, '\n')

disp('----  Elektrisk elementkjele  ----')
fprintf(1, '\n')

Pinst = input('Skriv inn nominell ytelse for kjelen [kW]\n');
straalingstap = input('Skriv inn strlingstapet for kjelen ved nominell ytelse [%]\n');
straalingstap = 2;

s = straalingstap / 100; %Relativt strlingstap
nmax = 1 - s; %maksimal virkningsgrad
Pmax = Pinst/nmax; %Maksimal ytelse
Pout = [0.1:0.1:(Pmax*nmax)]; %Initialiserer en vektor med effektomrdet til kjelen
virkningsgrad = zeros(1,length(Pout)); %Initialiserer en vektor for virkningsgradene ved ulike effekter

%Beregning av virkningsgrad ved ulike ytelser
for i = 1:1:length(Pout);
    virkningsgrad(i) = Pout(i)/(Pout(i) + Pinst*s);
end 

%Beregning av koeffisientene i kostnadskurven for kjelen
a  = s * Pmax;
y1 = Pout(100)/virkningsgrad(100);
y2 = Pout(260)/virkningsgrad(260);
b = (y2 - y1)/(Pout(260)-Pout(100));

%Data for kjelen for lagring i identifikatormatrise
ident(kjelnr,3) = Pinst;
ident(kjelnr,4) = nmax;
ident(kjelnr,5) = a;
ident(kjelnr,6) = b;

%Plotting av kurven

figure(1)
plot(Pout,virkningsgrad*100)
xlabel('Kjelytelse [kWh/h]')
ylabel('Virkningsgrad [%]')
title('Trinnregulert el - kjele')
axis([0 Pmax 0 100])
grid on
pause
close(figure(1))