function[ident] = intermittent(ident, kjelnr)
clc

disp('---- Intermittent regulert kjel ----')
fprintf(1, '\n')

%%%% Innlasting av data %%%%
Pinst = input('Skriv inn nominell ytelse for kjelen [kW]\n');
nmax = input('Skriv inn maksimal virkningsgrad for kjelen [%]\n');
Imax = input('Skriv inn maksimal intermittensgrad for kjelen [-]\n');

%%%% Beregninger %%%%
Pmax = Pinst;
Pinst = Pmax/(nmax/100);

%%%% Initialisering av vektorer %%%%
Pout = [0.1:0.1:Pmax]; %Initialiserer en vektor med effektomrdet til kjelen
N = zeros(1,length(Pout)); %Initialiserer en vektor for hjelpevariabelen N
virkningsgrad = zeros(1,length(Pout)); %Initialiserer en vektor for virkningsgradene ved ulike effekter
I = zeros(1,length(Pout)); %Initialiserer en vektor for Intermittensgraden ved ulike effekter

%Beregning av virkningsgrad ved ulike ytelser
for i = 1:length(Pout);
    N(i) = (Pmax)/Pout(i);
    I(i) = (N(i)-1)/((N(i)/Imax)+1);
    virkningsgrad(i) = Pout(i)/Pinst*(I(i)+1);
    i = i+1;
end 

%Beregning av koeffisientenei kostnadskurven for kjelen
a  = (1/(Imax+1)) * Pmax;
y1 = Pout(100)/virkningsgrad(100);
y2 = Pout(360)/virkningsgrad(360);
b = (y2 - y1)/(Pout(360)-Pout(100));

%Data for kjelen for lagring i identifikatormatrise
ident(kjelnr,3) = Pmax;
ident(kjelnr,4) = max(virkningsgrad);
ident(kjelnr,5) = a;
ident(kjelnr,6) = b;

figure(1)
plot(Pout, virkningsgrad*100)
xlabel('Kjelytelse [kWh/h]')
ylabel('Virkningsgrad [%]')
title('Intermittent regulert kjel')
axis([0 Pmax 0 100])
grid on
pause
close(figure(1))
