clear all 
clc

lastkurve = zeros(1,8760);
tappevann = 1;
areal = 6000;
bygningskategori = 1;
sammenlagringsfaktor = 1;

lastkurve = effektbehov(areal, bygningskategori, tappevann);   

[varighetskurve, IX] = sort(lastkurve, 'descend');

%%%% Korreksjon %%%%
for i = 1:8760
    if varighetskurve(i) > max(lastkurve)*1
       varighetskurve(i) = varighetskurve(i) * (1 + (1 - sammenlagringsfaktor)); 
    end
end

diff = sum(varighetskurve) - sum(lastkurve);

for i = 1000:1:3500  
    varighetskurve(i) = varighetskurve(i) - diff/2500;
end

for i = 1:8760
    lastkurve_korrigert(IX(i)) = varighetskurve(i);
end

aarlig_energibehov = sum(lastkurve_korrigert);
max_effektbehov = max(lastkurve_korrigert);

%%%% Plotting av lastkurven %%%%
figure(1)
hold on
plot(lastkurve_korrigert,'b')
plot((lastkurve),'r')
plot(varighetskurve,'g', 'LineWidth',3)
xlabel('Time i ret [h]')
ylabel('Varmelast [kWh/h]')
title('Beregnet lastprofil og varighetskurve for utbyggingsomrde')
axis([1 8760 0 400])
legend('Forventet varmebehov','Forventet varighetskurve');
grid on
hold off

fprintf(1, 'Beregnet maksimalt effektbehov: %6.2f [kW]', max_effektbehov)
fprintf(1, '\n\nBeregnet rlig energibehov: %6.0f [kWh/r]', aarlig_energibehov)
fprintf(1,'\n')