clear all 
clc

global netto_energi_sommer kostnad_sommer

disp('----  Beregningsmodell for lokale varmesentraler  ----')
disp('----  Utviklet av Stian Wadahl  ----')
fprintf(1, '\n')
disp('Trykk enter for  starte.')
fprintf(1, '\n')
pause


%%%% Beregning av lastkurve %%%%
antall_bygg = velg_antall_bygg();
[lastkurve, tappevann] = beregning_lastkurve(antall_bygg);

%%%% Valg av antall kjeler %%%%
antall_enheter = enheter();

%%%% Kjeldata %%%%
[ident, energipris, tappevannskjel] = kjeler(antall_enheter, tappevann);

%%%% rssimulering %%%%
[var_kost, netto_energi, driftstid, sum_start] = aarssimulering(antall_enheter, ...
ident, lastkurve, energipris, tappevannskjel, tappevann);

%%%% Start - stopp kostnad %%%%
[start_kost] = startkostnad(ident, sum_start, antall_enheter, energipris)

%%%% Varmekostnad %%%%
if antall_bygg > 1
    [varmekostnad, varmekostnad_fast] = varmekostnad_flere_bygg(lastkurve, var_kost, start_kost);  
else
    [varmekostnad, varmekostnad_fast] = varmekostnad(lastkurve, var_kost, start_kost);
end

%%%% Primrenergi og CO2 utslipp %%%%
[aarsvirkningsgrad, primerenergibehov,CO2_utslipp, levert_energi, ekv_driftstid,primerenergibehov_ikke_fornybar] = primerenergi(...
    netto_energi, var_kost, ident, antall_enheter, energipris, lastkurve, start_kost);

%%%% Energidekning %%%%
energidekning = beregn_energidekning(netto_energi, lastkurve,...
    antall_enheter);

%%%% Oppsummering %%%%
oppsummering(antall_enheter, varmekostnad, lastkurve, aarsvirkningsgrad, ...
    primerenergibehov, CO2_utslipp, driftstid, energidekning, ...
    levert_energi, ekv_driftstid, varmekostnad_fast,primerenergibehov_ikke_fornybar);

