clear all
clc

load DRY_dognmiddel.mat dognmiddel;
load AB.mat A_wd B_wd A_we B_we HTW_wd HTW_we;
DUT = -19; %DUT for Oslo klima
areal = 5000; %areal p testbygning i m2
SLI_wd = 46.0; %Specific load indicator for OB i Trondheimsklima ved DUT
SLI_we = 44.5;
sammenlagringsfaktor = 0.711;
SLI_wd = SLI_wd * (1 + (1 - sammenlagringsfaktor));

design_day_wd = A_wd + (B_wd.*DUT);
design_day_we = A_we + (B_we.*DUT);

faktor_wd = SLI_wd/max(design_day_wd)*areal;
faktor_we = SLI_we/max(design_day_we)*areal;
save('faktor.mat','faktor_wd','faktor_we')

design_load_wd = design_day_wd*faktor_wd/1000;
design_load_we = design_day_we*faktor_we/1000;

%%%%%% Korreksjon %%%%%%
%middel = sum(design_day_wd)/24;

%for i = 1:24
   %if design_day_wd(i) > middel
    %   design_day_wd(i) = design_day_wd(i) * 1.2;
  % elseif design_day_wd(i) < middel
   %    design_day_wd(i) = design_day_wd(i) * 0.8;
 %  end
%end

%middel2 = sum(design_day_wd)/24;
%%%%%%%%%%%%%%%%%%%Plot relativ dgnprofil%%%%%%%%%%%%%%%%
%hold on
%plot(design_load_we,'-x')
%plot(design_load_wd,'-*r')
%axis([1 24 0.6 1.6])
%xlabel('Time p dagen')
%ylabel('Realtiv varmelast P.U.')
%title('Generell lastprofil for WE og WD ved DUT')
%legend('WE','WD')
%grid on


%%%%%%%%%%%%%%%%%%Plot dgnprofil%%%%%%%%%%%%%%%%%%%%%%%%%
hold on
%plot(design_load_we,'-x')
plot(design_load_wd,'-*r')
%axis([0 24 200 400])
xlabel('Time p dagen')
ylabel('Varmelast [kW]')
title('Lastprofil for helg/helligdager (WE) og ukedager (WD) ved DUT')
legend('WD')
grid on
hold off