function [marg_kost] = marginalkostnad(ident, last, energipris, antall_kjeler)

for i = 1:antall_kjeler;
    if ident(i,2) == 0 %Trinnregulert el-kjel
        marg_kost(i) = (ident(i,6) * energipris(ident(i,1))) + (((1 - ident(i,4)) * ident(i,3) * energipris(ident(i,1))));
    elseif ident(i,2) == 1 %Intermittent regulering for kjel
        marg_kost(i) = ident(i,6) * energipris(ident(i,1));
    elseif ident(i,2) == 2 %Trinn
        p = ident(i,7:10);
        q = polyder(p);
        if ident(i,3) < last %Maks ytelse for kjel mindre enn varmelast
            marg_kost(i) = polyval(q, ident(i,3));
        else %Maks ytelse strre enn varmelast
            marg_kost(i) = polyval(q,last);
        end
    elseif ident(i,2) == 3 | ident(i,2) == 4 %Modulerende 
        Pmin = ident(i,11);
        p = ident(i,7:10);
        q = polyder(p);
        if ident(i,3) < last %Maks ytelse for kjel mindre enn varmelast
            marg_kost(i) = polyval(q,ident(i,3));
        else %Maks ytelse strre enn varmelast     
            if last >= Pmin %I modulerende drift
                marg_kost(i) = polyval(q,last);
            else %I intermittent drift
                marg_kost(i) = ident(i,6) * energipris(ident(i,1));
            end
        end
    elseif ident(i,2) == 5
        marg_kost(i) = -1; %Sikrer at VP lastes opp frst
    end
end

if antall_kjeler == 3 
[B,IX] = sort(marg_kost);
    if ident(IX(1),3) < last %Det er behov for spisslast.
       spisslast = last - ident(IX(1),3);
       for i = 2:3;
           if ident(IX(i),2) == 0 | ident(IX(i),2) == 1 %Intermittent regulering for kjel
                marg_kost(IX(i)) = ident(IX(i),6) * energipris(ident(IX(i),1));
            elseif ident(IX(i),2) == 2 %Trinn
                p = ident(IX(i),7:10);
                q = polyder(p);
                if ident(IX(i),3) < spisslast %Maks ytelse for kjel mindre enn varmelast
                    marg_kost(IX(i)) = polyval(q, ident(IX(i),3));
                else %Maks ytelse strre enn varmelast
                    marg_kost(IX(i)) = polyval(q,spisslast);
                end
            elseif ident(IX(i),2) == 3 | ident(IX(i),2) == 4 %Modulerende 
                Pmin = ident(IX(i),11);
                p = ident(IX(i),7:10);
                q = polyder(p);
                if ident(IX(i),3) < spisslast %Maks ytelse for kjel mindre enn varmelast
                    marg_kost(IX(i)) = polyval(q,ident(IX(i),3));
                else %Maks ytelse strre enn varmelast     
                    if last >= Pmin %I modulerende drift
                        marg_kost(IX(i)) = polyval(q,last);
                    else %I intermittent drift
                        marg_kost(IX(i)) = ident(IX(i),6) * energipris(ident(IX(i),1));
                    end
                end
           end
       end
    else 
    return
   end
end