function [virkningsgrad, primerenergibehov, CO2_utslipp, levert_energi, ekv_driftstid, primerenergibehov_ikke_fornybar] = ...
    primerenergi(netto_energi, var_kost, ident, antall_enheter, energipris, lastkurve, start_kost)
clc

%%%%  Beregning av primrenergibehov og CO2 utslipp %%%%
virkningsgrad = aarsvirkningsgrad(var_kost, netto_energi, ident, antall_enheter, energipris, start_kost);
systemvirkningsgrad = beregn_systemvirkningsgrad(virkningsgrad, antall_enheter);
levert_energi = beregn_levert_energi(netto_energi, systemvirkningsgrad, antall_enheter);
[primerenergibehov, primerenergibehov_ikke_fornybar] = beregn_primerenergi(levert_energi, antall_enheter, ident);
CO2_utslipp = beregn_CO2(levert_energi, antall_enheter, ident);

%%%%  Beregning av ekvivalent driftstid for maksimal effekt  %%%%
for i = 1:antall_enheter
    if ident(i,2) == 5
        ekv_driftstid(i) = netto_energi(i) / (ident(i,3)/100 * max(lastkurve));
    else
        ekv_driftstid(i) = netto_energi(i) / (ident(i,3));
    end
end
