function [ident] = trinn(ident, kjelnr, energipris)
clc

disp('---- Trinnregulert oljekjel ----')
fprintf(1, '\n')

%%%% Innlasting av data %%%%
Pinst = input('Skriv inn nominell ytelse for kjelen [kW]\n');
n1 = input('Skriv inn maksimal virkningsgrad for trinn 1 [%]\n'); % Maksimal virkningsgrad trinn 1
n2 = input('Skriv inn maksimal virkningsgrad for trinn 2 [%]\n'); % Maksimal virkningsgrad trinn 2 
straalingstap = input('Skriv inn straalingstap ved maksimal ytelse [%]\n'); %Strlingstap ved maksimal !!ytelse!! ( ikke ved nominell effekt )
Imax = input('Skriv inn maksimal intermittensgrad for kjelen [-]\n');

%%%% Beregninger %%%%
Ptrinn1 = Pinst * 0.5; %Forholdet mellom trinnene er 2:1
n1_ekskl_stralingstap = (n1 + straalingstap)/100;  % Maksimal virkningsgrad trinn 1 ekskl. strlingstap
n2_ekskl_stralingstap = (n2 + (straalingstap*0.5))/100; % Maksimal virkningsgrad trinn 2 ekskl. strlingstap   
Pmax1 = Ptrinn1;
Pmax2 = Pinst;
Pout1 = 0.1:0.1:Pmax1;
Pout2 = 0:0.1:(Pmax2-Pmax1);
Pout2_reell = Pmax1:0.1:Pmax2;
Ptrinn1 = Ptrinn1/(n1/100);

%Virkningsgrad for lavrere ytelse enn trinn 1 maks. Regnes intermittent
for i = 1:length(Pout1)
    N(i) = Pmax1/Pout1(i);
    I(i) = (N(i)-1)/((N(i)/Imax)+1);
    virk_trinn1(i) = Pout1(i)/Ptrinn1*(I(i)+1);
end

%Virkningsgrad for trinn 2. Antar liner sammenheng mellom ytelse og
%rykgasstemperatur og regner med strlingstapets variasjon med ytelsen som
%ikke er linert
stign = (n2_ekskl_stralingstap - n1_ekskl_stralingstap)/(Pmax2-Pmax1);

for i = 1:length(Pout2)
virk_trinn2(i) = (stign * Pout2(i) + n1_ekskl_stralingstap) - ((straalingstap * 0.5/100) * Pmax2)/(Pout2_reell(i));
end

%Tilordning i en matrise for enklere plotting
lengde = length(Pout1) + length(Pout2);
virkningsgrad = zeros(1,lengde);
k = 0;

for i = 1:length(virk_trinn1)
    virkningsgrad(i) = virk_trinn1(i);
end

for i = (length(virk_trinn1)+ 1):(length(virk_trinn1)+length(virk_trinn2))
    k = k + 1;
    virkningsgrad(i) = virk_trinn2(k);
end

%%%% Kurvetilpasning %%%%
a = 0:0.1:Pmax2;
energipris_olje = energipris(2);
kostnad = (a./virkningsgrad)* energipris_olje;
p = polyfit(a,kostnad,3);

%%%% Lagring i identifikatormatrsie %%%%
ident(kjelnr,3) = Pinst;
siste_element = length(virkningsgrad);
ident(kjelnr,4) = virkningsgrad(siste_element); % For en trinnregulert kjel er ikke ndvendigvis hyeste ytelse ved maksimal virkningsgrad
ident(kjelnr,7:10) = p;
ident(kjelnr,5) = (1/(Imax + 1)) * Ptrinn1;

figure(1)
plot((0:0.1:Pmax2),virkningsgrad*100)
xlabel('Kjelytelse [kWh/h]')
ylabel('Virkningsgrad [%]')
title('Trinnregulert oljekjel')
axis([0 Pmax2 0 100])
grid on
pause
close(figure(1))